lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'openaccess/apc/version'

Gem::Specification.new do |spec|
  spec.name          = 'openaccess-apc'
  spec.version       = OpenAccess::APC::VERSION
  spec.authors       = ['Digital Innovation, Lancaster University Library']
  spec.email         = ['library.dit@lancaster.ac.uk']

  spec.summary       = 'Open Access article processing charge (APC) funding ' \
                       'application tools'
  spec.description   = 'This gem integrates with the Pure CRIS to streamline ' \
                       'the process of applying for funding for Open Access ' \
                       'publishing charges.'
  spec.homepage      = 'https://github.com/lulibrary/openaccess-apc.git'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'net-ldap', '~> 0.16'
  spec.add_dependency 'puree', '~> 1.7'

  spec.add_development_dependency 'bundler', '~> 1.15'
  spec.add_development_dependency 'dotenv', '~> 2.2'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'minitest-reporters', '~> 1.1'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rubocop', '~> 0.50'
end